import axios from '@/libs/api.request'

// 物料分类列表
export const GetMaterialCategory = (data = {}) => {
  return axios.request({
    url: '/api/MaterialCategory/GetPageList',
    data,
    method: 'post'
  })
}

// 获取物料分类树
export const GetMaterialCategoryZTree = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetMaterialCategoryZTree',
    data,
    method: 'post'
  })
}

// 新增物料分类
export const AddMaterialCategory = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/MaterialCategoryAdd',
    data,
    method: 'post'
  })
}

// 修改物料分类
export const UpdateMaterialCategory = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/MaterialCategoryUpdate',
    data,
    method: 'post'
  })
}

// 删除物料分类
export const DeleteMaterialCategory = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/MaterialCategoryDelete',
    data,
    method: 'post'
  })
}

// 仓库维护列表
export const GetStockHousePageList = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetStockHousePageList',
    data,
    method: 'post'
  })
}

// 新增仓库
export const StockHouseAdd = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/StockHouseAdd',
    data,
    method: 'post'
  })
}

// 修改仓库
export const StockHouseUpdate = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/StockHouseUpdate',
    data,
    method: 'post'
  })
}

// 删除仓库
export const StockHouseDelete = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/StockHouseDelete',
    data,
    method: 'post'
  })
}

// 分区分页
export const GetStockHouseAreaPageList = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetStockHouseAreaPageList',
    data,
    method: 'post'
  })
}

// 新增分区
export const StockHouseAreaAdd = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/StockHouseAreaAdd',
    data,
    method: 'post'
  })
}

// 修改分区
export const StockHouseAreaUpdate = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/StockHouseAreaUpdate',
    data,
    method: 'post'
  })
}

// 删除分区
export const StockHouseAreaDelete = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/StockHouseAreaDelete',
    data,
    method: 'post'
  })
}

// 面料列表
export const GetMaterialPageList = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetMaterialPageList',
    data,
    method: 'post'
  })
}

// 新增面料
export const MaterialAdd = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/MaterialAdd',
    data,
    method: 'post'
  })
}

// 修改面料
export const MaterialUpdate = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/MaterialUpdate',
    data,
    method: 'post'
  })
}

// 删除面料
export const MaterialDelete = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/MaterialDelete',
    data,
    method: 'post'
  })
}

// 供应商列表
export const GetFactoryPageList = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetFactoryPageList',
    data,
    method: 'post'
  })
}

// 供应商下拉
export const GetFactorySelectItem = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetFactorySelectItem',
    data,
    method: 'post'
  })
}

// 新增供应商
export const FactoryAdd = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/FactoryAdd',
    data,
    method: 'post'
  })
}

// 编辑供应商
export const FactoryUpdate = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/FactoryUpdate',
    data,
    method: 'post'
  })
}

// 删除供应商
export const FactoryDelete = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/FactoryDelete',
    data,
    method: 'post'
  })
}

// 供应商价格列表
export const GetFacPricePageList = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetFacPricePageList',
    data,
    method: 'post'
  })
}

// 新增供应商价格
export const FacPriceAdd = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/FacPriceAdd',
    data,
    method: 'post'
  })
}

// 编辑供应商价格
export const FacPriceChange = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/FacPriceChange',
    data,
    method: 'post'
  })
}

// 删除供应商价格
export const FacPriceDelete = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/FacPriceDelete',
    data,
    method: 'post'
  })
}

// 面料设置
export const SaveMaterialSet = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/SaveMaterialSet',
    data,
    method: 'post'
  })
}

// 获取面料设置
export const GetMaterialSet = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetMaterialSet',
    data,
    method: 'post'
  })
}

// 供应商维护记录
export const GetFacKeepRecordPageList = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetFacKeepRecordPageList',
    data,
    method: 'post'
  })
}

// 供应商维护记录新增
export const EditFacKeepRecord = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/EditFacKeepRecord',
    data,
    method: 'post'
  })
}

// 供应商统计
export const FactoryStat = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/FactoryStat',
    data,
    method: 'post'
  })
}

// 获取物料审批数据
export const GetMaterialEditCheckData = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetMaterialEditCheckData',
    data,
    method: 'post'
  })
}

// 获取价格变更合同列表
export const GetChangePriceContractList = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetChangePriceContractList',
    data,
    method: 'post'
  })
}

// 获取供应商价格变更审批数据
export const GetChangePriceCheck = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetChangePriceCheck',
    data,
    method: 'post'
  })
}

// 选择仓库下拉
export const GetStockHouse = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetStockHouse',
    data,
    method: 'post'
  })
}

// 字典列表
export const DataDictionary = (data = {}) => {
  return axios.request({
    url: '/api/DataDictionary/GetPageList',
    data,
    method: 'post'
  })
}

// 字典新增
export const AddDataDictionary = (data = {}) => {
  return axios.request({
    url: '/api/DataDictionary/Add',
    data,
    method: 'post'
  })
}

// 字典修改
export const UpdateDataDictionary = (data = {}) => {
  return axios.request({
    url: '/api/DataDictionary/Update',
    data,
    method: 'post'
  })
}

// 字典删除
export const DeleteDataDictionary = (data = {}) => {
  return axios.request({
    url: '/api/DataDictionary/Delete',
    data,
    method: 'post'
  })
}

// 后台管理 开关
export const EditConfig = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/EditConfig',
    data,
    method: 'post'
  })
}

// 后台管理 开关
export const GetConfig = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetConfig',
    data,
    method: 'post'
  })
}

// 枚举类型列表
export const GetGroupCodeList = (data = {}) => {
  return axios.request({
    url: '/api/DataDictionary/GetGroupCodeList',
    data,
    method: 'post'
  })
}

// 工艺类型列表
export const GetTechnologyTypList = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetTechnologyTypList',
    data,
    method: 'post'
  })
}

// 获取供应商收款账户
export const GetSupplierBank = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetSupplierBank',
    data,
    method: 'post'
  })
}

// 新增供应商收款账户
export const AddSupplierBank = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/AddSupplierBank',
    data,
    method: 'post'
  })
}

// 编辑供应商收款账户
export const EditSupplierBank = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/EditSupplierBank',
    data,
    method: 'post'
  })
}

// 删除供应商收款账户
export const DeleteSupplierBank = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/DeleteSupplierBank',
    data,
    method: 'post'
  })
}

// 合同批次
export const GetContractBatchPageList = (data = {}) => {
  return axios.request({
    url: '/api/BaseData/GetContractBatchPageList',
    data,
    method: 'post'
  })
}
